Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.dtfj.image
Interface ImageSection

    public interface ImageSection

Represents a range of memory used for a specific purpose.

Author:
  pburka
See Also:
  `ImageModule`

Method Summary
`ImagePointer` | `getBaseAddress()` Get the lowest address of memory in this section.
`java.lang.String` | `getName()` Get the name of this section (e.g.
`long` | `getSize()` Get the size of this contiguous image section as measured in bytes.
`boolean` | `isExecutable()` Does this section contain executable code ?
`boolean` | `isReadOnly()` Is this section read-only ?
`boolean` | `isShared()` Is this section shared with other VMs.

Method Detail

### getBaseAddress

    ImagePointer getBaseAddress()

  Get the lowest address of memory in this section.

  Returns:
    the lowest address of memory in this section

### getSize

    long getSize()

  Get the size of this contiguous image section as measured in bytes.

  Returns:
    the size of this contiguous image section as measured in bytes

### getName

    java.lang.String getName()

  Get the name of this section (e.g. ".text").

  Returns:
    the name of this section (e.g. ".text"). Note that sections of the image which have no specific name will receive a name synthesized by the implementation. This will never be null.

### isExecutable

    boolean isExecutable()
                         throws DataUnavailable

  Does this section contain executable code ?

  Returns:
    true if this section contains executable code, false otherwise
  Throws:
    `DataUnavailable`

### isReadOnly

    boolean isReadOnly()
                       throws DataUnavailable

  Is this section read-only ?

  Returns:
    true if write access to this section was disabled
  Throws:
    `DataUnavailable`

### isShared

    boolean isShared()
                     throws DataUnavailable

  Is this section shared with other VMs.

  Returns:
    true if this section is shared between processes
  Throws:
    `DataUnavailable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD